<form name="form" [formGroup]="form">

    <mat-accordion class="example-headers-align">
        <mat-expansion-panel [expanded]="step === 0" (opened)="setStep(0)" hideToggle>
            <mat-expansion-panel-header>
                <mat-panel-title>
                    Data Personal
                </mat-panel-title>
                <mat-panel-description>
                    Informasi Personal
                    <mat-icon>account_circle</mat-icon>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <div fxLayout="column" fxLayoutAlign="start" fxFlex="1 1 auto">
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Nama</mat-label>
                        <input matInput formControlName="Nama" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Status Perkawinan</mat-label>
                        <input matInput formControlName="Status_Kawin" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Jenis Kelamin</mat-label>
                        <input matInput formControlName="JenKel" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Agama</mat-label>
                        <input matInput formControlName="Agama" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Tempat Lahir</mat-label>
                        <input matInput formControlName="Tmp_Lahir" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Tanggal Lahir</mat-label>
                        <input matInput formControlName="Tgl_Lahir" [value]="form.get('Tgl_Lahir').value | date: 'dd-MMM-yyyy'" readonly>
                        <mat-icon matSuffix class="secondary-text">calendar_today</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row wrap" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="100">
                        <mat-label>Alamat Ktp</mat-label>
                        <input matInput formControlName="Alamat" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Provinsi</mat-label>
                        <input matInput formControlName="Propinsi" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Kota</mat-label>
                        <input matInput formControlName="Kab_Kodya" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Kelurahan</mat-label>
                        <input matInput formControlName="Kelurahan" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>RT / RW</mat-label>
                        <input matInput formControlName="RT_RW" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Kode Pos</mat-label>
                        <input matInput formControlName="Kd_Pos" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Negara</mat-label>
                        <input matInput formControlName="Negara" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row wrap" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="100">
                        <mat-label>Alamat Tinggal Lengkap</mat-label>
                        <textarea matInput formControlName="AlamatTinggal" readonly>
                        </textarea>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Nomor Telepon</mat-label>
                        <input matInput formControlName="Telp_HP" readonly>
                        <mat-icon matSuffix class="secondary-text">call</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Nomor HP</mat-label>
                        <input matInput formControlName="No_HP" readonly>
                        <mat-icon matSuffix class="secondary-text">phone_android</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Tanda Pengenal</mat-label>
                        <input matInput formControlName="Tanda_Pengenal" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Nomor Tanda Pengenal</mat-label>
                        <input matInput formControlName="No_TdPengenal" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Pendidikan</mat-label>
                        <input matInput formControlName="Pendidikan" readonly>
                        <mat-icon matSuffix class="secondary-text">school</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Pekerjaan</mat-label>
                        <input matInput formControlName="Pekerjaan" readonly>
                        <mat-icon matSuffix class="secondary-text">business_center</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Kewarga Negaraan</mat-label>
                        <input matInput formControlName="Warga_Negara" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Bahasa</mat-label>
                        <input matInput formControlName="Bahasa" readonly>
                        <mat-icon matSuffix class="secondary-text">language</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Negara</mat-label>
                        <input matInput formControlName="Negara" readonly>
                        <mat-icon matSuffix class="secondary-text">outlined_flag</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Penerjemah</mat-label>
                        <input matInput formControlName="Penerjemah" readonly>
                        <mat-icon matSuffix class="secondary-text">language</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Nama Passport</mat-label>
                        <input matInput formControlName="NamaPassport" readonly>
                        <mat-icon matSuffix class="secondary-text">language</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>No Passport</mat-label>
                        <input matInput formControlName="NoPassport" readonly>
                        <mat-icon matSuffix class="secondary-text">language</mat-icon>
                    </mat-form-field>

                </div>
            </div>
            <mat-action-row>
                <button mat-button color="primary" (click)="nextStep()">Next</button>
            </mat-action-row>
        </mat-expansion-panel>
        <mat-expansion-panel [expanded]="step === 1" (opened)="setStep(1)" hideToggle>
            <mat-expansion-panel-header>
                <mat-panel-title>
                    Data Penanggung
                </mat-panel-title>
                <mat-panel-description>
                    Informasi Penanggung
                    <mat-icon>supervised_user_circle</mat-icon>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <div fxLayout="column" fxLayoutAlign="start" fxFlex="1 1 auto">
                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Nama Lengkap</mat-label>
                        <input matInput formControlName="Nm_Keluarga" readonly>
                        <mat-icon matSuffix class="secondary-text">account_circle</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Telepon</mat-label>
                        <input matInput formControlName="Telp_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">call</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Tempat Lahir</mat-label>
                        <input matInput formControlName="Tmp_Lahir_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Tanggal Lahir</mat-label>
                        <input matInput formControlName="Tgl_Lahir_Kel" [value]="form.get('Tgl_Lahir_Kel').value | date: 'dd-MMM-yyyy'" readonly>
                        <mat-icon matSuffix class="secondary-text">calendar_today</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Pendidikan</mat-label>
                        <input matInput formControlName="Pendidikan_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">school</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Pekerjaan</mat-label>
                        <input matInput formControlName="Pekerjaan_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">business_center</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row wrap" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="100">
                        <mat-label>Alamat Ktp</mat-label>
                        <input matInput formControlName="AlamatTinggal_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Provinsi</mat-label>
                        <input matInput formControlName="Propinsi" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Kota</mat-label>
                        <input matInput formControlName="Kota_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Kelurahan</mat-label>
                        <input matInput formControlName="Kelurahan" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>RT / RW</mat-label>
                        <input matInput formControlName="RT_RW" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                        <mat-label>Kode Pos</mat-label>
                        <input matInput formControlName="KdPos_Kel" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                    <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                        <mat-label>Negara</mat-label>
                        <input matInput formControlName="Negara" readonly>
                        <mat-icon matSuffix class="secondary-text">location_city</mat-icon>
                    </mat-form-field>

                </div>

                <div fxLayout="row wrap" fxLayoutAlign="start center" fxFlex="1 0 auto">

                    <mat-form-field appearance="outline" fxFlex="100">
                        <mat-label>Alamat Tinggal Lengkap</mat-label>
                        <textarea matInput formControlName="Alm1_Kel" readonly>
                        </textarea>
                    </mat-form-field>

                </div>
            </div>
            <mat-action-row>
                <button mat-button color="warn" (click)="prevStep()">Previous</button>
            </mat-action-row>
        </mat-expansion-panel>
    </mat-accordion>

</form>